package com.younike.system.mapper;

import com.younike.system.domain.SysCode;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 店铺端常量Mapper接口
 *
 * @author elev
 * @date 2022-01-12
 */
public interface SysCodeMapper {
    /**
     * 查询店铺端常量
     *
     * @param codeId 店铺端常量主键
     * @return 店铺端常量
     */
    List<SysCode> selectSysCodeByCodeId(String codeId);

    /**
     * 查询店铺端常量列表
     *
     * @param sysCode 店铺端常量
     * @return 店铺端常量集合
     */
    List<SysCode> selectSysCodeList(SysCode sysCode);

    /**
     * 新增店铺端常量
     *
     * @param sysCode 店铺端常量
     * @return 结果
     */
    int insertSysCode(SysCode sysCode);

    /**
     * 修改店铺端常量
     *
     * @param sysCode 店铺端常量
     * @return 结果
     */
    int updateSysCode(SysCode sysCode);

    /**
     * 删除店铺端常量
     *
     * @param codeId 店铺端常量主键
     * @return 结果
     */
    int deleteSysCodeByCodeId(String codeId);

    /**
     * 批量删除店铺端常量
     *
     * @param codeIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysCodeByCodeIds(String[] codeIds);

    /**
     * 根据codeId和decodeId查询SysCode
     *
     * @param codeId
     * @param decodeId
     * @return
     */
    SysCode getByCodeIdAndDecodeId(@Param("codeId")String codeId, @Param("decodeId")String decodeId);
}
